/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.connector.jms.activemq.embedded;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.JMSException;

import org.bluestemsoftware.specification.eoa.ext.connector.jms.JMSConnector;
import org.bluestemsoftware.specification.eoa.ext.Extension;

public class JMSConnectorImpl implements JMSConnector.Provider {
    
    public static String IMPL = JMSConnectorImpl.class.getName();

    private ConnectionFactory connectionFactory;

    public JMSConnectorImpl(ConnectionFactory connectionFactory) {
        this.connectionFactory = connectionFactory;
    }
    
    public Connection createConnection() throws JMSException {
        return connectionFactory.createConnection();
    }

    public Connection createConnection(String userName, String password) throws JMSException {
        return connectionFactory.createConnection(userName, password);
    }
    
    public void spi_setConsumer(Extension consumer) {
    }
    
}
